%global glib2_version 2.77.0
%global gtk4_version 4.11.2
%global libadwaita_version 1.4~alpha

%bcond_with selinux

%define lib_major	4
%define gir_major	4.0
%define lib_name	%mklibname %{name} %{lib_major}
%define gir_name	%mklibname %{name}-gir %{gir_major}
%define develname	%mklibname %{name} -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define busname		org.gnome.Nautilus

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		nautilus
Version:	46.2
Release:	%mkrel 1
Summary:	File manager for the GNOME desktop environment
Group:		File tools
License:	GPLv2+
URL:		https://wiki.gnome.org/Apps/Nautilus
# https://gitlab.gnome.org/GNOME/nautilus/-/issues/2018
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:	appstream-util
BuildRequires:	gettext
BuildRequires:	pkgconfig(cloudproviders)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(libportal)
BuildRequires:  pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(glib-2.0) >= 2.67.1
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libnotify)
%if %{with selinux}
BuildRequires:	pkgconfig(libselinux)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	meson
Requires:	tracker-miners
Requires:	gvfs
Recommends:	gvfs-google
Requires:	gsettings-desktop-schemas
# (ovitters) ensure glib has TLS support
Requires:	%{mklibname glib-networking}

# Packages providing often used thumbnailers
Recommends:	librsvg
Recommends:	gnome-directory-thumbnailer

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n %{lib_name}
Summary:	Libraries for Nautilus File manager
Group:		System/Libraries

%description -n %{lib_name}
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n %{develname}
Summary:	Libraries and include files for developing nautilus components
Group:		Development/GNOME and GTK+
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Conflicts:	%{lib_name} < 3.1.3-3

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
	-Ddocs=true \
	-Dselinux=%{?with_selinux:true}%{?!with_selinux:false}
%meson_build

%install
%meson_install

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%{find_lang} %{name} --with-gnome --all-name

%check
#meson_test

%files -f %{name}.lang
%doc NEWS README.md
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_metainfodir}/%{busname}.metainfo.xml
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.Tracker*.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Nautilus.search-provider.ini
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/tracker3/domain-ontologies/org.gnome.Nautilus.domain.rule
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/extensions-4
%{_libdir}/%{name}/extensions-4/lib%{name}-image-properties.so
%{_libdir}/%{name}/extensions-4/libtotem-properties-page.so
%{_iconsdir}/hicolor/*/apps/*gnome*.*

%files -n %{lib_name}
%{_libdir}/lib%{name}*.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Nautilus-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/doc/nautilus/
# (tv) fix file conflict:
%exclude %{_datadir}/doc/nautilus/NEWS
%exclude %{_datadir}/doc/nautilus/README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Nautilus-%{gir_major}.gir


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2069222
- new version 46.2

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050585
- new version 46.0

* Thu Dec 07 2023 daviddavid <daviddavid> 45.2.1-1.mga10
+ Revision: 2014173
- new version 45.2.1

* Thu Sep 28 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991633
- Update to 45.0

* Sun Jun 11 2023 daviddavid <daviddavid> 44.2.1-1.mga9
+ Revision: 1961631
- new version 44.2.1

* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960766
- new version 44.2

* Mon Apr 24 2023 neoclust <neoclust> 44.1-1.mga9
+ Revision: 1954658
- New version 44.1

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954123
- update to 44.0

* Mon Jan 09 2023 daviddavid <daviddavid> 43.2-1.mga9
+ Revision: 1931938
- new version 43.2

* Fri Jan 06 2023 ns80 <ns80> 43.1-3.mga9
+ Revision: 1930764
- add a patch from Ubuntu for CVE-2022-37290 (mga#31257)
+ tv <tv>
- Fix file conflict

* Tue Dec 13 2022 tv <tv> 43.1-1.mga9
+ Revision: 1921819
- Update to 43.1

* Thu Nov 24 2022 tv <tv> 43.0-2.mga9
+ Revision: 1910730
- Backport MR #977 to revert broken high-res thumbnails (rhbz#2127618)

* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890351
- Update to 43.0

* Sun Sep 18 2022 ovitters <ovitters> 42.5-1.mga9
+ Revision: 1889701
- new version 42.5

* Fri May 27 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1860500
- new version 42.2

* Sat Apr 30 2022 tv <tv> 42.1.1-1.mga9
+ Revision: 1855234
- Update to 42.1.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800839
- Update to 42.0

* Tue Mar 15 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1793929
- Update to 42.rc

* Mon Jan 10 2022 tv <tv> 41.1-1.mga9
+ Revision: 1767554
- Update to 41.1
- Fix cropped popover for compress formats on X11

* Fri Jun 04 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1729673
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721527
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710101
- new version 40.0

* Fri Nov 20 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1647970
- new version 3.38.2

* Fri Oct 02 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631831
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624577
- new version 3.38.0

* Sat Sep 05 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1622509
- adjust filelist
- BR tracker-sparql-3.0
+ ovitters <ovitters>
- new version 3.37.92

* Fri Aug 21 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1617644
- new version 3.37.91

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611851
- new version 3.37.90

* Fri Jul 03 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601613
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591699
- new version 3.37.2

* Fri May 29 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1588900
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571694
- new version 3.36.2
- recommend some often used thumbnailers

* Mon Mar 30 2020 ovitters <ovitters> 3.36.1.1-1.mga8
+ Revision: 1562307
- new version 3.36.1.1

* Fri Mar 27 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1561033
- new version 3.36.1

* Wed Mar 18 2020 ovitters <ovitters> 3.36.0-2.mga8
+ Revision: 1557753
- recommend gvfs-google (mga#26297)

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554442
- new version 3.36.0

* Fri Feb 28 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1551635
- new version 3.35.92

* Mon Feb 24 2020 tv <tv> 3.35.91.1-3.mga8
+ Revision: 1549853
- rebuild for new libgnome-desktop

* Tue Feb 18 2020 umeabot <umeabot> 3.35.91.1-2.mga8
+ Revision: 1538436
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91.1-1.mga8
+ Revision: 1537052
- new version 3.35.91.1

* Fri Nov 22 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462100
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450203
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439368
- new version 3.34.0

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-2.mga8
+ Revision: 1429048
- rebuild for gnome-desktop

* Tue Aug 06 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427781
- new version 3.33.90

* Tue Aug 06 2019 ovitters <ovitters> 3.32.3-1.mga8
+ Revision: 1427759
- new version 3.32.3

* Tue Aug 06 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1427723
- new version 3.32.2

* Mon May 06 2019 daviddavid <daviddavid> 3.32.1-1.mga7
+ Revision: 1396415
- new version 3.32.1

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-3.mga7
+ Revision: 1392819
- Rebuild with meson 0.50.1

* Fri Mar 15 2019 daviddavid <daviddavid> 3.32.0-2.mga7
+ Revision: 1377281
- add missing dependency on tracker-miners

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375861
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372633
- new version 3.31.90

* Wed Dec 12 2018 ovitters <ovitters> 3.30.5-1.mga7
+ Revision: 1340669
- new version 3.30.5

* Wed Nov 21 2018 ovitters <ovitters> 3.30.4-1.mga7
+ Revision: 1332876
- new version 3.30.4

* Wed Oct 31 2018 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1326936
- new version 3.30.3

* Fri Oct 12 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1319782
- new version 3.30.2

* Wed Oct 03 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1317184
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256872
- new version 3.30.0

* Wed Aug 29 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255505
- new version 3.29.92

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90.1-1.mga7
+ Revision: 1246098
- new version 3.29.90.1

* Tue May 01 2018 wally <wally> 3.28.1-2.mga7
+ Revision: 1224114
- add bcond for building with selinux (and disable it by now)

* Mon Apr 09 2018 tv <tv> 3.28.1-1.mga7
+ Revision: 1216846
- fix filelist
+ ovitters <ovitters>
- new version 3.28.1

* Thu Mar 15 2018 ovitters <ovitters> 3.28.0.1-1.mga7
+ Revision: 1209687
- new version 3.28.0.1

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208842
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92.1-1.mga7
+ Revision: 1206882
- new version 3.27.92.1
- new version 3.27.92

* Tue Feb 20 2018 ovitters <ovitters> 3.27.90-2.mga7
+ Revision: 1203750
- rebuild for gnome-desktop

* Tue Feb 13 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1200875
- new version 3.27.90

* Tue Jan 30 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1198162
- new version 3.27.4

* Tue Nov 14 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1177377
- new version 3.26.2

* Thu Sep 21 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156869
- adjust file list
- new release
- add missing BRs
- adjust file list
+ ovitters <ovitters>
- disable tests; they require X11
- switch to meson
- new version 3.25.90

* Mon Jul 17 2017 ovitters <ovitters> 3.24.2.1-1.mga7
+ Revision: 1124586
- new version 3.24.2.1

* Fri Apr 28 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1097866
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093968
- new version 3.24.0

* Wed Mar 08 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1090204
- new version 3.22.3

* Sat Dec 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1073936
- new version 3.22.2

* Fri Oct 14 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060799
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056789
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055776
- new version 3.22.0
- new version 3.21.91.1

* Tue Aug 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1049536
- new version 3.20.3

* Sat Jul 30 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1043990
- new version 3.20.2
- dropped merged patch 1

* Mon May 02 2016 tv <tv> 3.20.1-1.mga6
+ Revision: 1008653
- patch 0: fix build
+ ovitters <ovitters>
- new version 3.20.1

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994269
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.93-1.mga6
+ Revision: 992571
- new version 3.19.93
- new version 3.19.91

* Thu Feb 25 2016 ovitters <ovitters> 3.19.90-2.mga6
+ Revision: 979192
- bumping rel to allow submission

* Thu Feb 25 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 979116
- new version 3.19.90

* Mon Feb 15 2016 umeabot <umeabot> 3.19.2-2.mga6
+ Revision: 961692
- Mageia 6 Mass Rebuild

* Tue Dec 15 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 910823
- new version 3.19.2

* Mon Dec 14 2015 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 910441
- new version 3.18.3

* Fri Nov 13 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 903062
- new version 3.18.2

* Thu Oct 15 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891889
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882613
- kill merged patches
- new release

* Sun Sep 13 2015 tv <tv> 3.17.91-2.mga6
+ Revision: 878915
- add crash fixes from git

* Fri Sep 04 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872877
- new version 3.17.91

* Fri Aug 21 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 867349
- new version 3.17.90

* Thu Jul 23 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 856577
- new version 3.17.3

* Mon Jun 29 2015 wally <wally> 3.17.2-2.mga6
+ Revision: 847796
- add requires for gir pkg to devel pkg
+ ovitters <ovitters>
- ensure gvfs has TLS support
- change gvfs to a require
- require gsettings-desktop-schemas (mga#16001)

* Tue Jun 23 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 841062
- fix desktop file
- recommend gvfs
- new version 3.17.2
- new version 3.14.3

* Wed Nov 26 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 799463
- new version 3.14.2

* Thu Nov 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796738
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-3.mga5
+ Revision: 738824
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 724946
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721224
- new version 3.14.0

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 690899
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671089
- new version 3.13.91

* Fri Aug 22 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666399
- new version 3.13.90
- dropped merged patch 1

* Wed Jul 23 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 656083
- add yet again patch to fix po
- remove upstreamed autostart change
- new version 3.13.2
- drop merged linking patch
- update url

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622508
- new version 3.12.2

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608310
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604935
- new version 3.11.92

* Wed Feb 19 2014 dams <dams> 3.11.90-3.mga5
+ Revision: 594766
- rebuild for new tracker

* Wed Feb 19 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 594656
- adjust file list
- adjust file list
- rebuild for new libgnome-desktop
+ ovitters <ovitters>
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.3-2.mga5
+ Revision: 584011
- update BR to 'tracker-*-0.18'

* Wed Feb 05 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 583746
- new version 3.11.3

* Mon Nov 04 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 549485
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536565
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484692
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480942
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474609
- new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474357
- Rebuild against new gnome-desktop3

* Tue Aug 20 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468439
- bump req
+ ovitters <ovitters>
- new version 3.9.90

* Sun Jul 28 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 459305
- new version 3.9.3

* Mon Jun 17 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 443862
- new version 3.8.2

* Mon May 27 2013 blino <blino> 3.8.1-3.mga4
+ Revision: 428664
- enable tracker back

* Mon May 27 2013 blino <blino> 3.8.1-2.mga4
+ Revision: 428660
- temporarily disable tracker support to allow tracker rebuild
- do not require nautilus in devel package
  it seems unneeded, and breaks tracker build because of a builddep loop

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427592
- update file list
- drop merged patch
- new version 3.8.1
+ dams <dams>
- clean specfile

* Sun Apr 07 2013 tmb <tmb> 3.6.3-3.mga3
+ Revision: 408689
- remove uggly white borders around .desktop icons (P1, mga #8355, bgo #688237)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.3-1.mga3
+ Revision: 317412
- new version 3.6.3

* Tue Oct 30 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 311541
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306693
- new version 3.6.1

* Wed Oct 10 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 304513
- add sugessts on tracker

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297154
- new version 3.6.0

* Tue Sep 18 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 295756
- update file list
- update file list
- bump req
- rediff link patch
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288060
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282798
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279892
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271661
- new version 3.5.4

* Sun Jul 15 2012 fwang <fwang> 3.5.3-2.mga3
+ Revision: 270963
- rebuild for new gnome-desktop

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263691
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235696
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231090
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226754
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224528
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219216
- new version 3.3.91

* Sat Feb 25 2012 wally <wally> 3.3.90-2.mga2
+ Revision: 214337
- rebuild for new tracker
- drop Unity hack

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211316
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205778
- new version 3.3.5

* Tue Jan 17 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197581
- update file list
- update buildrequires
- new version
- clean spec file

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184421
- new version 3.3.3
- drop unused patches
- add P0 to fix linkage
- enable tracker support

* Fri Oct 28 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 159233
- new version 3.3.1.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156062
- new version 3.2.1

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149074
- rebuild for new glib

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148731
- new version 3.2.0

* Wed Sep 21 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 146522
- fix .desktop file (remove Unity from OnlyShowIn)
- new version 3.1.92

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136404
- new version 3.1.90
+ wally <wally>
- new version 3.1.4
- clean BRs and use pkgconfig style if possible

* Wed Jul 13 2011 wally <wally> 3.1.3-3.mga2
+ Revision: 123842
- drop unneeded preun script
- add a subpackage for gir .typelib
- drop ancient obsoletes/provides/conflicts
- clean .spec a bit

* Fri Jul 08 2011 ahmad <ahmad> 3.1.3-2.mga2
+ Revision: 120230
- Add OnlyShowIn=GNOME to nautilus-autostart.desktop so that it doesn't launch
  nautilus under other DE's when show-desktop-icons is set in GSettings

* Wed Jul 06 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119504
- 3.1.3

* Sun Jun 19 2011 cjw <cjw> 3.0.2-3.mga2
+ Revision: 109671
- drop obsoletes/provides on nautilus-sendto, this tool is still needed

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 109643
- Obsoletes nautilus-sendto
  Remove .a and .la files ( fedora )

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 102729
- Do not apply patch2, need a rediff
- Fix libnotify-devel buildrequires
- Fix gail-devel buildrequires
- New version

* Thu May 26 2011 blino <blino> 2.32.2.1-3.mga1
+ Revision: 100400
- use /usr/share/dist/desktop-files/<product>/ for default desktop files
  (one more step closer to the openSUSE way)

* Tue Jan 18 2011 blino <blino> 2.32.2.1-2.mga1
+ Revision: 23609
- add back gconf uninstall, not handled by filetriggers

* Sat Jan 15 2011 blino <blino> 2.32.2.1-1.mga1
+ Revision: 19114
- use /usr/share/dist/desktop/<product>/ for default desktop files
  (closer to the openSUSE way)
- update comments
- update comment
- remove versions in comments
- remove gconf schema uninstall (now in filetriggers)
- remove old ldconfig scriptlets
- imported package nautilus


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 2.32.2.1-1mdv2011.0
+ Revision: 625792
- add more BR
- update to new version 2.32.2.1

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 2.32.2-1mdv2011.0
+ Revision: 616309
- update to new version 2.32.2

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597444
- update to new version 2.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581369
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 577910
- update build deps
- new version
- rediff patch 28
- update build deps

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 571174
- update to new version 2.31.90

* Thu Aug 12 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 569223
- update build deps
- enable introspection support
- new version
- rediff patch 28
- update file list

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540358
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538962
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528769
- new version
- drop merged patch 0

* Sun Mar 14 2010 Götz Waschk <waschk@mandriva.org> 2.29.92.1-2mdv2010.1
+ Revision: 518883
- fix border around desktop (bug #56686)'

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.92.1-1mdv2010.1
+ Revision: 517406
- update to new version 2.29.92.1

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 515984
- new version
- drop patch 33
- rediff patch 32

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509762
- new version
- bump gnome-desktop dep

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 503158
- update to new version 2.29.90

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 496143
- update to new version 2.29.2

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 490618
- rebuild for new libgnome-desktop

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 481613
- new version
- drop patch 38
- bump gnome-desktop dep

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.28.4-1mdv2010.1
+ Revision: 478834
- update to new version 2.28.4

* Mon Dec 14 2009 Götz Waschk <waschk@mandriva.org> 2.28.3-1mdv2010.1
+ Revision: 478456
- update to new version 2.28.3

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 471746
- new version
- drop patch 40

* Wed Oct 21 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458622
- Fix BR
- Release 2.28.1
- Regenerate patch33
- Patch40 (Fedora): fix tracker 0.7 support
- Fix BR

* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 454124
- Nautilus provides gnome-volume-manager features now

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446705
- new version
- drop patch 40

* Mon Sep 14 2009 Frederic Crozat <fcrozat@mandriva.com> 2.27.92-3mdv2010.0
+ Revision: 440662
- Patch40 (GIT): fix flashing at startup

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.27.92-2mdv2010.0
+ Revision: 436509
- Remove requires on drakxtools-newt, moved to nautilus-filesharing

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432561
- new version
- drop patches 0,40

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-3mdv2010.0
+ Revision: 424045
- fix logout problem (bug #53329)

* Mon Aug 31 2009 Frederic Crozat <fcrozat@mandriva.com> 2.27.91-2mdv2010.0
+ Revision: 422857
- Patch39 (Fedora): fix infinite startup when show_desktop is disabled
- Patch40 (GIT): fix crash in configuration dialog

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420573
- new version
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395762
- update to new version 2.27.4

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 385997
- new version
- rediff patch 36

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374192
- new version
- update patch 37
- fix build

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.2-2mdv2009.1
+ Revision: 367709
- Update patch28 to really hide old KDE .desktop files

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2009.1
+ Revision: 366962
- update to new version 2.26.2

* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 363682
- new version
- drop patch 15

* Thu Apr 02 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 363523
- Update and apply patch34
- Patch36 (SUSE): allow to lockdown context menu (Novell bug #363122)
- Patch37 (SUSE): add a search .desktop file (GNOME bug #350950)
- Patch38: browser mode

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355752
- update to new version 2.26.0

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 2.25.93-1mdv2009.1
+ Revision: 353718
- update to new version 2.25.93

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347294
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 340887
- new version
- rediff patch 35

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 336428
- update to new version 2.25.4

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 331393
- update to new version 2.25.3

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 316103
- don't depend on eel anymore
- new version
- drop patches 0,22
- fix build deps
- update patches 12,28

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 309059
- update build deps
- new version
- bump deps
- update file list

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306205
- update to new version 2.24.2

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.24.1-3mdv2009.1
+ Revision: 301276
- rebuild for new xcb stuff

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 300216
- rebuild for new  gnome-desktop

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295648
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286436
- new version
- bump eel dep

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282911
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278665
- new version
- bump eel dep

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274357
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6.1-1mdv2009.0
+ Revision: 263529
- new version
- bump glib dep

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 2.23.5.1-2mdv2009.0
+ Revision: 245134
- patch to support XDS (drag to save) protocol
- patch to fix a crash

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5.1-1mdv2009.0
+ Revision: 240355
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240002
- new version
- rediff patch 12
- replace patch 33 with latest version from Fedora

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231407
- new version
- disable patch 34
- update patch 34
- patch 0: fix build
- update file list

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.4-1mdv2009.0
+ Revision: 230283
- new version
- update license
- drop patch 36

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.3-2mdv2009.0
+ Revision: 214325
- Patch36 (SVN): various bug fixes from SVN

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 212732
- new version
- drop patch 36

  + Frederic Crozat <fcrozat@mandriva.com>
    - really add patch
    - Patch36: various bug fixes from SVN

* Wed May 21 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.2-2mdv2009.0
+ Revision: 209752
- Patch35 : auto-unmount ejected medias when mount points are in fstab (Mdv bug #39540)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 192474
- new version
- drop patch 35

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-2mdv2008.1
+ Revision: 191420
- Patch35: various fixes from SVN

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-1mdv2008.1
+ Revision: 190891
- Release 2.22.1
- Remove patch35, merged upstream

* Wed Mar 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 190445
- Update patch35 with new fixes from SVN (including Mdv bug #38654)

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 188379
- Patch33 (Fedora): replace buildtime with runtime dependencyu for beagle and tracker
- Patch34 (Fedora): fix build of RTL when self check are disabled
- Patch35 (SVN): many fixes from SVN

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 185244
- build with exempi support

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 184861
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175143
- new version
- drop patch 33

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 170994
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165834
- new version
- bump deps

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159639
- new version
- bump deps
- fix nautilus extensions dir

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.21.6-1mdv2008.1
+ Revision: 156156
- new version
- bump deps

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151911
- new version
- drop patch 34
- update patch 12
- bump deps

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-4mdv2008.1
+ Revision: 147648
- Force rebuild with latest GConf package

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-3mdv2008.1
+ Revision: 147576
- Update patch34 with additional crasher fix when cancelling job

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-2mdv2008.1
+ Revision: 147519
- Patch34 (SVN): fix crash when overwriting file

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 146709
- new version
- drop patch 34

* Tue Jan 08 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.1-4mdv2008.1
+ Revision: 146517
- Ressurect and update patch28 for gio
- Patch34 (SVN): fix build with glib 2.15.1
- Remove patch31, feature no longer exist upstream
- Replace dependency on gnome-vfs with gvfs
- Restore removed patch

* Fri Jan 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.1-3mdv2008.1
+ Revision: 144972
- Restore and port patch 12 to gio/gvfs
- Restore removed patch

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.1-2mdv2008.1
+ Revision: 138924
- Restore patch 2 (default launchers on desktop) and port it to gio
- Rename patch 0 as patch33
- Restore removed patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 136221
- new version
- bump deps
- rediff patch 0
- drop patches 2,12,28,36,39,40,41,42,43

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-8mdv2008.1
+ Revision: 120728
- new version
- patch for new libbeagle

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-7mdv2008.1
+ Revision: 116033
- rebuild for new libbeagle

* Tue Dec 04 2007 Thierry Vignaud <tv@mandriva.org> 2.20.0-6mdv2008.1
+ Revision: 115413
- rebuild for new libbeagle

* Tue Nov 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-5mdv2008.1
+ Revision: 106446
-Patch43 (Fedora): use totem audio preview or gstreamer for audio preview
-clean specfile

* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-4mdv2008.0
+ Revision: 94930
- Patch42 (SVN): fix small fonts crash (GNOME bug #454884)

* Tue Oct 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 94664
- Patch41 (SVN): fix missing frame for async thumbnails (GNOME bug #478363)

* Tue Oct 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94625
- Patch40 (SVN): fix thumbnail incorrect invalidation (GNOME bug #480608)

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89481
- new version
- drop patch 40

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.91-4mdv2008.0
+ Revision: 85545
- Update patch2 to work with xdg user directory
- don't update/clean gnome icon cache anymore

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-3mdv2008.0
+ Revision: 72654
- remove emblem-shared, it is in gnome-icon-theme

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.91-2mdv2008.0
+ Revision: 72473
- Patch40: fix .desktop to be valid
- Don't add old obsoletes categories to existing .desktop

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71817
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63276
- new version

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 59956
- Remove patch40, not needed anymore with XDG user dirs

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56995
- fix buildrequires
- new version
- drop patch 41

* Tue Jul 24 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.5-2mdv2008.0
+ Revision: 54987
- Added P41 from svn to fix crash in browser mode

* Tue Jul 10 2007 Funda Wang <fwang@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50855
- New version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41287
- new version
- call unversioned automake

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 36019
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-3mdv2008.0
+ Revision: 14382
- new version


* Tue Apr 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0.1-3mdv2007.1
+ Revision: 150400
- Update patch2 to handle productid with trailing space

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0.1-2mdv2007.1
+ Revision: 144376
- Update patch2: add support for default desktop files based on productid

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 141722
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141697
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125912
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-2mdv2007.1
+ Revision: 120778
- bump
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111888
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 98481
- new version
- rediff patch 32
- add new icons

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86209
- new version

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 78048
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63832
- rebuild
- unpack patches
- Import nautilus

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 41
- New version 2.16.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch41 (CVS): fix various crashes

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92.1-1mdv2007.0
- Release 2.15.92.1

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- bump deps
- drop patch 1
- New release 2.15.91

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-3mdv2007.0
- patch 1: fix bug 23804

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- bump deps
- New release 2.15.90

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- bump deps
- New release 2.15.4

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Fix patch40 to no longer used removed eel functions

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1
- New release 2.15.2

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1
- Remove patch37 (merged upstream)

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-6mdk
- Remove patch18 (no longer needed)

* Thu Apr 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.14.1-5mdk
- add BuildRequires: intltool

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Fix invalid conflicts on library package

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- enable beagle support

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Add conflicts to ease upgrade

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 2.12.2-4mdk
- own %%{_localstatedir}/gnome/, fix #16329

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Fortify uninstall script

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-6mdk
- Update patch40, fix crash when .desktop (Mdk bug #19464)

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-5mdk
- Patch40: add support for .desktop item in gtk bookmarks

* Fri Oct 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Update buildrequires

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new libgsf

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patches 0, 34, 38, 40, 41 (merged upstream)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-9mdk 
- Patch40 (CVS): various upstream fixes including Mdk bug #17968
- Patch41 (neumair): fix lazy icon positioning (for new volume)

* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch39: don't check sound server status to allow audio preview

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Update patch28 to not show device box from KDE

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-6mdk
- rebuild to remove glitz dep

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch38: workaround bug in radeon acceleration (Mdk bug #17723)

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Update patch28 to also hide KDE trask .desktop file

* Sun Jun 12 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-3mdk
- don't thumbnail files that are still changing

* Sat Apr 23 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Götz Waschk package)
- Regenerate patch31
- Remove patches 33 (no longer applicable), 35 (merged upstream)
- Remove dependency on gnome-control-center

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-8mdk 
- Patch37: fix i18n init for windows name

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-7mdk 
- Patch36: don't monitor supermount devices (Mdk bug #14880)

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Patch35 (CVS): various fixes

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.2-4mdk
- rebuild with libexif 0.6.x

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Remove eog dependency, bonobo component is no more used (Fedora)

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-2mdk
- add sox dependancy (Thierry Vignaud)

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2
- Remove patches 16 (handled by nautilus-filesharing extension), 35, 36, 37, 38 (merged upstream)
- Regenerate patches 2, 31

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-10mdk
- Update patch36 to remove one warning
- Update patch16 to remove one warning
- Update patch31 for new mimetype for desktop file

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-9mdk
- Patch37: fix emblem sort (Mdk bug #10767)
- Patch38 (CVS): fix rare crash

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-8mdk
- Patch35 (CVS): quiet nautilus for small image file
- Patch36 : fix bonobo warning (Mdk bug #11125)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-7mdk
- Patch34: fix background with local encoded name loading (Mdk bug #10353)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-6mdk
- Fix menu

* Wed Aug 04 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.3-5mdk
- disable patch 33 to build with libexif9 again

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-4mdk
- Patch33: Fix build with libexif 0.6.9

* Sat Jul 24 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.3-3mdk
- add BuildRequires: automake1.8

* Thu Jul 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com>  2.6.3-2mdk
- Requires gnome-control-center for the file-properties config dialog.

* Wed Jun 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Mon Jun 07 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- new version

* Tue Apr 20 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- rediff patch 16
- New release 2.6.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Rebuild against latest libcroco

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)
- Regenerates patches 12, 16, 31
- Bump requirements
- Disable patch27 (need to be moved to gnome-vfs)
- Remove patches 33, 34, 35 (merged upstream)

